Skip to main content
PUT
/
users
/
{user_identifier}
/
members
/
{member_identifier}
Update member
curl --request PUT \
  --url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "member": {
    "background_aggregation_is_disabled": false,
    "credentials": [
      {
        "guid": "CRD-27d0edb8-1d50-5b90-bcbc-be270ca42b9f",
        "value": "password"
      }
    ],
    "id": "unique_id",
    "metadata": "\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\",
    "use_cases": [
      "PFM"
    ]
  }
}
'
{
  "member": {
    "aggregated_at": "2016-10-13T18:07:57.000Z",
    "background_aggregation_is_disabled": false,
    "connection_status": "CONNECTED",
    "connection_status_message": "Connected to MX Bank",
    "error": {},
    "guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
    "id": "unique_id",
    "institution_code": "mxbank",
    "institution_guid": "INST-12345678-90ab-cdef-1234-567890abcdef",
    "is_being_aggregated": false,
    "is_managed_by_user": false,
    "is_manual": false,
    "is_oauth": false,
    "metadata": "\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\",
    "most_recent_job_detail_code": null,
    "most_recent_job_detail_text": null,
    "most_recent_job_guid": "JOB-12345678-90ab-cdef-1234-567890abcdef",
    "name": "MX Bank",
    "needs_updated_credentials": false,
    "oauth_window_uri": "https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2",
    "successfully_aggregated_at": "2016-10-13T17:57:38.000Z",
    "use_cases": [
      "PFM"
    ],
    "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
    "user_id": "u-1234"
  }
}
Use this endpoint to update a members attributes. Only the credentials, id, and metadata parameters can be updated. To get a list of the required credentials for the member, use the list member credentials endpoint.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

X-CALLBACK-PAYLOAD
string

The base64 encoded string defined in this header will be returned in the Member and Member Data Updated webhooks. This allows you to trace user interactions and workflows initiated externally and internally in the MX Platform. Max 1024 characters.

Path Parameters

member_identifier
string
required

Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Body

application/json

Member object to be updated (While no single parameter is required, the request body can't be empty)

member
object

Response

200 - application/json

OK

member
object